hpp-corbaserver: _impl_PathPlanner Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_PathPlanner Class Referenceabstract

`#include <hpp/core_idl/path_planners-idl.hh>`

Inheritance diagram for _impl_PathPlanner:
[legend]
Collaboration diagram for _impl_PathPlanner:
[legend]

## Public Member Functions
virtual | ~_impl_PathPlanner ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual PathVector_ptr | solve ()=0
virtual void | startSolve ()=0
virtual void | tryConnectInitAndGoals ()=0
virtual void | oneStep ()=0
virtual PathVector_ptr | computePath ()=0
virtual PathVector_ptr | finishSolve (::hpp::core_idl::PathVector_ptr path)=0
virtual void | interrupt ()=0
virtual void | maxIterations (::hpp::size_type n)=0
virtual void | timeOut (::hpp::value_type seconds)=0
virtual Roadmap_ptr | getRoadmap ()=0
virtual void | stopWhenProblemIsSolved (::CORBA::Boolean enable)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_PathPlanner()

virtual _impl_PathPlanner::~_impl_PathPlanner | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_PathPlanner::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ computePath()

virtual PathVector_ptr _impl_PathPlanner::computePath | ( |  | ) |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_PathPlanner::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_PathPlanner::deleteThis | ( |  | ) |
| pure virtual

## ◆ finishSolve()

virtual PathVector_ptr _impl_PathPlanner::finishSolve | ( | ::hpp::core_idl::PathVector_ptr | path | ) |
| pure virtual

## ◆ getRoadmap()

virtual Roadmap_ptr _impl_PathPlanner::getRoadmap | ( |  | ) |
| pure virtual

## ◆ interrupt()

virtual void _impl_PathPlanner::interrupt | ( |  | ) |
| pure virtual

## ◆ maxIterations()

virtual void _impl_PathPlanner::maxIterations | ( | ::hpp::size_type | n | ) |
| pure virtual

## ◆ oneStep()

virtual void _impl_PathPlanner::oneStep | ( |  | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_PathPlanner::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ solve()

virtual PathVector_ptr _impl_PathPlanner::solve | ( |  | ) |
| pure virtual

## ◆ startSolve()

virtual void _impl_PathPlanner::startSolve | ( |  | ) |
| pure virtual

## ◆ stopWhenProblemIsSolved()

virtual void _impl_PathPlanner::stopWhenProblemIsSolved | ( | ::CORBA::Boolean | enable | ) |
| pure virtual

## ◆ timeOut()

virtual void _impl_PathPlanner::timeOut | ( | ::hpp::value_type | seconds | ) |
| pure virtual

## ◆ tryConnectInitAndGoals()

virtual void _impl_PathPlanner::tryConnectInitAndGoals | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh